<div class="globle-search-container position-relative theme_search-with-location" [style.width]="styleWidth">
    <button *ngIf="searchContent" class="position-absolute theme-close-search-icon px-2" (click)="clearAllData()">
        <i class="fa fa-close"></i>
    </button>
    <button *ngIf="!searchContent" class="position-absolute theme-close-search-icon px-2">
        <i class="fa-solid fa-magnifying-glass"></i>
    </button>
    <input type="text" id="searchInput" placeholder="Search deals" [(ngModel)]="searchContent"
        name="searchContent" aria-label="Search" autocomplete="off" class="form-control form-control-lg"
        #input (keypress)="changeContent($event)" (blur)="onBlur($event)" (focus)="onFocus($event)" />
        <div class="search-by-citylocation cursor-pointer">
            <input type="text" class="dropdown form-control form-control-lg" placeholder="All locations" 
            *ngIf="_DataService.ActiveCity == undefined || _DataService.ActiveCity == null ||  _DataService.ActiveCity == ''"
            [(ngModel)]="_DataService.ActiveCity" readonly type="text" value="All locations"
            readonly (click)="openLocationModal.emit(true)" />
            <input type="text" class="dropdown form-control form-control-lg" placeholder="All locations" 
            *ngIf="_DataService.ActiveCity != undefined && _DataService.ActiveCity != null &&  _DataService.ActiveCity != ''"
            [(ngModel)]="_DataService.ActiveCity" readonly type="text"
            readonly (click)="openLocationModal.emit(true)" />
            <span><i class="fa-solid fa-angle-down"></i></span>
        </div>
    <div class="search_menu">
        <ul *ngIf="!loading && searchKeyworkList.length > 0">
            <li class="search-menu_item" *ngFor="let TItem of searchKeyworkList" (click)="navigate(TItem)">
                {{TItem.SearchText}}
            </li>
        </ul>
        <ul *ngIf="loading && searchKeyworkList.length == 0">
            <li class="search-menu_item">
                <i class="fas fa-spinner fa-pulse"></i> Loading...
            </li>
        </ul>
        <ul *ngIf="!loading && searchKeyworkList.length == 0 && innerWidth >= 768">
            <li class="search-menu_item">
                There are no results for <i>'{{searchContent}}'</i>
            </li>
        </ul>
        <ul *ngIf="!loading && searchKeyworkList.length == 0 && innerWidth < 768">
            <p class="mb-0 px-3 my-3 text-black">There are no results for 
                <i class="fw-light" style="font-weight: 100; color: #6F767E;">'{{searchContent}}'</i></p>
            <div class="d-flex justify-content-center align-items-center flex-column mt-5"> 
                <img src="assets/images/bg/no-search-result.svg" alt="no-search-result" class="text-black">
                <h1 class="fw-600 mt-3" style="font-size: 50px;">Oops</h1>
                <p class="px-4 text-center">
                    Sorry, the keyword you typed cannot be found. Kindly check again or search with
                    another keyword
                </p>
            </div>
        </ul>
    </div>
</div>